Skip to main content
GET
/
hooks
/
{id}
Get Hook
curl --request GET \
  --url https://api.posthook.io/v1/hooks/{id} \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "id": "<string>",
    "path": "<string>",
    "domain": "<string>",
    "data": {},
    "postAt": "2023-11-07T05:31:56Z",
    "status": "pending",
    "postDurationSeconds": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "attempts": 123,
    "failureError": "<string>",
    "tryAt": "2023-11-07T05:31:56Z",
    "wasNotified": true,
    "sequenceData": {
      "sequenceID": "<string>",
      "stepName": "<string>",
      "sequenceLastRunAt": "2023-11-07T05:31:56Z"
    }
  }
}
Retrieve details about a specific hook.

Parameters

id
string
required
The ID of the hook to retrieve.

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

Response

200 - application/json

Hook details

data
object